### Method

# Gegl Buffer get_extent

#### Declaration [src]

    const GeglRectangle*
    gegl_buffer_get_extent (
      GeglBuffer* buffer
    )

#### Description [src]

Returns a pointer to a GeglRectangle structure defining the geometry of a specific GeglBuffer, this is also the default width/height of buffers passed in to gegl_buffer_set and gegl_buffer_get (with a scale of 1.0 at least).

#### Return value

Type: `GeglRectangle`

No description available.

The data is owned by the instance.